Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.file
Interface ConfigurableFileCollection

All Superinterfaces:
  org.gradle.api.tasks.AntBuilderAware, Buildable, FileCollection, java.lang.Iterable<java.io.File>

    public interface ConfigurableFileCollection

extends FileCollection

A `ConfigurableFileCollection` is a mutable `FileCollection`.

You can obtain an instance of `ConfigurableFileCollection` by calling `Project.files(Object...)`

Nested Class Summary

Nested classes/interfaces inherited from interface org.gradle.api.file.FileCollection
`FileCollection.AntType`

Method Summary
`ConfigurableFileCollection` | `builtBy(java.lang.Object... tasks)` Registers some tasks which build the files of this collection.
`ConfigurableFileCollection` | `from(java.lang.Object... paths)` Adds a set of files to this collection.
`java.util.Set<java.lang.Object>` | `getBuiltBy()` Returns the set of tasks which build the files of this collection.
`ConfigurableFileCollection` | `setBuiltBy(java.lang.Iterable<?> tasks)` Sets the tasks which build the files of this collection.

Methods inherited from interface org.gradle.api.file.FileCollection
`add, addToAntBuilder, addToAntBuilder, asType, getAsFileTree, getAsPath, getFiles, getSingleFile, plus, stopExecutionIfEmpty`

Methods inherited from interface java.lang.Iterable
`iterator`

Methods inherited from interface org.gradle.api.Buildable
`getBuildDependencies`

Method Detail

### from

    ConfigurableFileCollection from(java.lang.Object... paths)

  Adds a set of files to this collection. The given paths are evaluated as for `Project.files(Object...)`.

  Parameters:
    `paths` - The files to add.
  Returns:
    this

### getBuiltBy

    java.util.Set<java.lang.Object> getBuiltBy()

  Returns the set of tasks which build the files of this collection.

  Returns:
    The set. Returns an empty set when there are no such tasks.

### setBuiltBy

    ConfigurableFileCollection setBuiltBy(java.lang.Iterable<?> tasks)

  Sets the tasks which build the files of this collection.

  Parameters:
    `tasks` - The tasks. These are evaluated as for `Task.dependsOn(Object...)`.
  Returns:
    this

### builtBy

    ConfigurableFileCollection builtBy(java.lang.Object... tasks)

  Registers some tasks which build the files of this collection.

  Parameters:
    `tasks` - The tasks. These are evaluated as for `Task.dependsOn(Object...)`.
  Returns:
    this

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD